import * as Unit from "./unit";
import * as Amount from "./amount";
/**
 * Converts a units serialized representation to it's deserialized representation
 * @param unitString
 */
export declare function stringToUnit<T>(unitString: string, units: Unit.UnitMap): Unit.Unit<T> | undefined;
/**
 * Converts a unit to it's serialized representation
 * @param unit
 */
export declare function unitToString(unit: Unit.Unit<unknown>): string;
/**
 * Convert an amount to it's serialized representation
 * @param amount
 */
export declare function amountToString(amount: Amount.Amount<unknown>): string;
/**
 * Convert a serialized amount to it's deserialized representation
 * @param amountString
 */
export declare function stringToAmount(amountString: string, units: Unit.UnitMap): Amount.Amount<unknown> | undefined;
