import * as Unit from "./unit";
export declare function Giga<T>(name: string, u: Unit.Unit<T>): Unit.Unit<T>;
export declare function Mega<T>(name: string, u: Unit.Unit<T>): Unit.Unit<T>;
/**
 * Returns the specified unit multiplied by the factor <code>10<sup>3</sup></code>
 * @param unit Any unit.
 * @returns <code>unit.multiply(1e3)</code> .
 */
export declare function Kilo<T>(name: string, unit: Unit.Unit<T>): Unit.Unit<T>;
/**
 * Returns the specified unit multiplied by the factor <code>10<sup>2</sup></code>.
 * @param unit any unit.
 * @returns <code>unit.multiply(1e2)</code> .
 */
export declare function Hecto<T>(name: string, unit: Unit.Unit<T>): Unit.Unit<T>;
/**
 * Returns the specified unit multiplied by the factor <code>10<sup>-1</sup></code>.
 * @param unit any unit.
 * @return <code>unit.multiply(1e-1)</code>.
 */
export declare function Deci<T>(name: string, unit: Unit.Unit<T>): Unit.Unit<T>;
/**
 * Returns the specified unit multiplied by the factor <code>10<sup>-2</sup></code>.
 * @param unit any unit.
 * @returns <code>unit.multiply(1e-2)</code> .
 */
export declare function Centi<T>(name: string, unit: Unit.Unit<T>): Unit.Unit<T>;
/**
 * Returns the specified unit multiplied by the factor <code>10<sup>-3</sup></code>.
 * @param unit any unit. @return <code>unit.multiply(1e-3)</code> .
 */
export declare function Milli<T>(name: string, unit: Unit.Unit<T>): Unit.Unit<T>;
